Index: trunk/bibnemomaf.css
===================================================================
--- trunk/bibnemomaf.css	(revision 39)
+++ 	(revision )
@@ -1,27 +1,0 @@
-/*
-module :
-feuille de style CSS 
-
-mise à jour :
-$Id$
-fplod 2007-03-30T10:27:22Z aedon.locean-ipsl.upmc.fr (Darwin)
-d'après /usr/home/opatlod/WWW/NEMO_v1/6_Menu/2_page/index.html
-*/
-
-body {
-bgcolor : #ffffff;
-}
-#javascript {border-bottom: 1px solid #a1a5a9; font-family: "Luc
-ida Grande", arial, verdana, sans-serif; padding: 5px 0 5px 0; background-color:
- #ffffcc}
-
-/*
-je n'ai pas encore tout compris aux sujets des impressions
-*/
-
-@media print {
-     input[type="submit"] { display : none }
-     div[class="informaltable"] { display : none } /* pour ne pas imprimer
-la table des années/auteurs*/
-     a[href="#top"] { display : none } /* pour ne pas imprimer le lien sur top*/
-   }
Index: trunk/bibnemomaf01_html.xsl
===================================================================
--- trunk/bibnemomaf01_html.xsl	(revision 39)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<?xml version='1.0' encoding='ISO-8859-1'?> 
-<!--
-module :
-transformation docbook en un html
-
-mise à jour :
-$Id$
-fplod 2007-03-30T09:55:19Z aedon.locean-ipsl.upmc.fr (Darwin)
-création
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
-
-<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
-
-<xsl:output method="xml" 
-encoding="utf-8" 
-indent="yes" 
-omit-xml-declaration="no"
-doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
-doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
-
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
-
-<xsl:template match="*" mode="book.titlepage.mode"/>
-<xsl:param name="generate.toc">
-article nop
-</xsl:param>
-<xsl:param name="css.decoration" select="0"/>
-<xsl:param name="section.autolabel" select="0"/>
-
-<!--
-Personalisation de bas de page
--->
-<xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet> 
Index: trunk/bibnemomaf01_txt.xsl
===================================================================
--- trunk/bibnemomaf01_txt.xsl	(revision 39)
+++ trunk/bibnemomaf01_txt.xsl	(revision 40)
@@ -17,5 +17,5 @@
 indent="yes"/>
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
Index: trunk/bibnemomaf01_xml.xsl
===================================================================
--- trunk/bibnemomaf01_xml.xsl	(revision 39)
+++ 	(revision )
@@ -1,235 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<!--
-module :
-sortir les références bibliographiques par pseudo-année
-
-update :
-$Id$
-++ plein de trucs
-fplod 2007-10-17T08:01:14Z aedon.locean-ipsl.upmc.fr (Darwin)
-improve authors sort (diacriticals) 
-fplod 2007-06-08T08:36:48Z aedon.locean-ipsl.upmc.fr (Darwin)
-add total nb of publications in one cell. quite interesting usage of
-XPATH to determine mininum and maximum value of a element !
-fplod 2007-05-21T14:06:53Z aedon.locean-ipsl.upmc.fr (Darwin)
-ajout de plot nbpub/years
-fplod 2007-05-04T08:02:29Z aedon.locean-ipsl.upmc.fr (Darwin)
-externalisation de biblioentry
-passage de itemizedlist à sect1 pour homogénéisation sur présentation par auteur(et parce que je préfère)
-fplod 2007-04-02T08:53:30Z aedon.locean-ipsl.upmc.fr (Darwin)
-journal dans biblioset
-fplod 2007-03-30T12:38:34Z aedon.locean-ipsl.upmc.fr (Darwin)
-creation
--->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<xsl:output
- method="xml"
- indent="yes"
- encoding="ISO-8859-1"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
-
-<xsl:include href="biblioentry_xml.xsl"/>
-
-<xsl:variable name="list_years" select="///pubdate[not( self::node() = following::pubdate )]"/>
-
-<xsl:template name="years">
-<!--
-creation of an informatable of nb years
-each entry of the table is a link #year_xxxx
--->
-<xsl:element name="informaltable">
- <xsl:attribute name="id">years</xsl:attribute>
- <xsl:attribute name="summary">years of publications</xsl:attribute>
- <xsl:element name="tgroup">
-  <xsl:variable name="nb_cols" select="count($list_years)"/>
-  <xsl:attribute name="cols"><xsl:value-of select="$nb_cols"/></xsl:attribute>
-  <xsl:attribute name="align">center</xsl:attribute>
-  <xsl:attribute name="colsep">1</xsl:attribute>
-  <xsl:attribute name="rowsep">1</xsl:attribute>
-  <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
-   <xsl:sort order="descending" data-type="number" select="."/>
-   <xsl:element name="colspec">
-    <xsl:attribute name="colname">year_<xsl:value-of select="."/></xsl:attribute>
-   </xsl:element>
-  </xsl:for-each>
-  <xsl:element name="tbody">
-   <xsl:element name="row">
-    <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
-     <xsl:sort order="descending" data-type="number" select="."/>
-     <xsl:element name="entry">
-      <xsl:attribute name="colname"><xsl:text>year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
-      <xsl:element name="ulink">
-       <xsl:attribute name="url"><xsl:text>#year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
-       <xsl:value-of select="."/>
-      </xsl:element>
-     </xsl:element>
-    </xsl:for-each>
-   </xsl:element>
-   <xsl:element name="row">
-    <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
-     <xsl:sort order="descending" data-type="number" select="."/>
-     <xsl:element name="entry">
-      <xsl:attribute name="colname"><xsl:text>year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
-      <xsl:element name="emphasis">
-       <xsl:attribute name="role">bold</xsl:attribute>
-<xsl:variable name="nb_current">
- <xsl:variable name="current_year"><xsl:value-of select="."/></xsl:variable>
- <xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$current_year]])"/>
-</xsl:variable>
-       <xsl:value-of select="$nb_current"/>
-      </xsl:element>
-     </xsl:element>
-    </xsl:for-each>
-   </xsl:element>
-   <xsl:variable name="year_min">
-    <xsl:value-of select="///pubdate[not(. &gt; ///pubdate)]"/>
-   </xsl:variable>
-   <xsl:variable name="year_max">
-    <xsl:value-of select="///pubdate[not(. &lt; ///pubdate)]"/>
-   </xsl:variable>
-   <xsl:element name="row">
-    <xsl:element name="entry">
-     <xsl:attribute name="namest"><xsl:value-of select="concat('year_',$year_max)"/></xsl:attribute>
-      <xsl:attribute name="nameend"><xsl:value-of select="concat('year_',$year_min)"/></xsl:attribute>
-     <xsl:element name="emphasis">
-      <xsl:attribute name="role">bold</xsl:attribute>
-       <xsl:value-of select="count(/descendant::biblioentry)"/>
-     </xsl:element>
-    </xsl:element>
-   </xsl:element>
-  </xsl:element>
- </xsl:element>
-</xsl:element>
-</xsl:template>
-
-<xsl:template match="bibliography">
-
-<article lang="en">
-<title>NEMO - Publications - Papers by years</title>
-<articleinfo>
-<authorgroup>
-<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
-<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
-<!--++-->
-</authorgroup>
-<keywordset>
-<keyword>NEMO</keyword>
-</keywordset>
-<!-- ++ date -->
-</articleinfo>
-<highlights id="top">
-<para>
-This page intents to provide an exhaustive list of the papers that have used 
-NEMO or OPA and/or results from them. 
-Obvioulsy many papers are missing. 
-If you find omissions or mistakes please ask some modification via 
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./main.php'"/>
- </xsl:attribute>
- <xsl:text>Nemo Survey main page</xsl:text>
-</xsl:element>.
-</para>
-</highlights>
-<para>
-You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
-authors in
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./bibnemomaf02.html'"/>
- </xsl:attribute>
- <xsl:text>one big document </xsl:text>
-</xsl:element>
-<xsl:text> or in </xsl:text>
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'../many/bibnemomaf01/index.html'"/>
- </xsl:attribute>
- <xsl:text>several </xsl:text>
-</xsl:element> <xsl:text> (one by author)</xsl:text>.
-</para>
-
-<para>
-Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
-</para>
-
-<xsl:call-template name="years"/>
-
-<figure id="fig_pubbyyears"><title>Nb of publications by years</title>
-<mediaobject> 
-<imageobject> 
-<imagedata fileref="../../images/years.png" format="PNG"/>
-</imageobject>
-<textobject><phrase>[years.png]</phrase></textobject>
-</mediaobject>
-</figure>
-
-<sect1 id="intro">
-<title>Introduction</title>
-<para>
-This document provide bibliography sorted by year.
-</para>
-</sect1>
-
-   <!-- loop on years -->
-   <xsl:for-each select="$list_years">
-    <xsl:sort order="descending" data-type="number" select="."/>
-    <xsl:call-template name="one_year">
-     <xsl:with-param name="year" select="."/>
-    </xsl:call-template>
-   </xsl:for-each>
-</article>
-</xsl:template>
-
-<xsl:template match="bibliographyinfo/date"/>
-<xsl:template match="bibliography/title"/>
-
-<xsl:template name="one_year">
-<xsl:param name="year"/>
-<!--
- <xsl:message>call template avec <xsl:value-of select="$year"/></xsl:message>
- <xsl:message>noeud courant <xsl:value-of select="name(.)"/></xsl:message>
- <xsl:message>
-year_<xsl:value-of select="$year"/> : <xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$year]]) + count(/descendant::biblioentry[child::date=$year])"/> 
-</xsl:message>
--->
- <xsl:element name="sect1">
-  <xsl:attribute name="id"><xsl:value-of select="concat('year_',$year)"/></xsl:attribute>
-  <xsl:element name="title">
-   <xsl:value-of select="$year"/>
-   <xsl:element name="ulink">
-   <xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
-   <xsl:element name="inlinemediaobject">
-     <xsl:element name="imageobject">
-      <xsl:element name="imagedata">
-       <xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
-      </xsl:element>
-     </xsl:element>
-     <xsl:element name="textobject">
-      <xsl:element name="phrase">
-       <xsl:text>top</xsl:text>
-      </xsl:element>
-     </xsl:element>
-    </xsl:element>
-   </xsl:element>
-  </xsl:element>
-  <orderedlist>
-   <xsl:for-each select="/descendant::biblioentry[child::biblioset[child::pubdate=$year]]|/descendant::biblioentry[child::date=$year]">
-    <xsl:sort order="ascending" data-type="text" select="translate(./authorgroup/author/personname,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó','ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
-    <xsl:call-template name="one_biblioentry">
-     <xsl:with-param name="visu_modif" select="'visu'"/>
-     <xsl:with-param name="my_biblioentry" select="."/>
-    </xsl:call-template>
-   </xsl:for-each>
-  </orderedlist>
- </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/bibnemomaf02_html.xsl
===================================================================
--- trunk/bibnemomaf02_html.xsl	(revision 39)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version='1.0' encoding='ISO-8859-1'?> 
-<!--
-module :
-transformation docbook en plusieurs html
-
-mise à jour :
-$Id$
-fplod 2007-04-06T10:30:31Z aedon.locean-ipsl.upmc.fr (Darwin)
-création
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
-
-<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
-
-<xsl:output method="xml" 
-encoding="utf-8" 
-indent="yes" 
-omit-xml-declaration="no"
-doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
-doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
-
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
-
-<xsl:template match="*" mode="book.titlepage.mode"/>
-<xsl:param name="generate.toc">
-article nop
-</xsl:param>
-<xsl:param name="section.autolabel" select="0"/>
-<xsl:param name="css.decoration" select="0"/>
-<xsl:param name="chunk.section.depth" select="1"/>
-<xsl:param name="use.id.as.filename" select="1"/>
-
-<!--
-Personalisation de bas de page
--->
-<xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet> 
Index: trunk/bibnemomaf02_xml.xsl
===================================================================
--- trunk/bibnemomaf02_xml.xsl	(revision 39)
+++ 	(revision )
@@ -1,197 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<!--
-module :
-sortir les références bibliographiques par personne
-
-update :
-$Id$
-fplod 2007-10-17T07:49:19Z aedon.locean-ipsl.upmc.fr (Darwin)
-improve sort (diacriticals)
-fplod 2007-05-18T14:31:33Z aedon.locean-ipsl.upmc.fr (Darwin)
-modif gestion id
-fplod 2007-05-16T15:15:36Z aedon.locean-ipsl.upmc.fr (Darwin)
-correction pour homonymes partiels
-fplod 2007-05-04T08:17:56Z aedon.locean-ipsl.upmc.fr (Darwin)
-externalisation de biblioentry
-fplod 2007-04-02T08:53:30Z aedon.locean-ipsl.upmc.fr (Darwin)
-journal dans biblioset
-fplod 2007-03-30T12:38:34Z aedon.locean-ipsl.upmc.fr (Darwin)
-creation
--->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<xsl:output
- method="xml"
- indent="yes"
- encoding="utf-8"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
-
-<xsl:include href="firstname_id.xsl"/>
-<xsl:include href="surname_id.xsl"/>
-<xsl:include href="table_authors.xsl"/>
-<xsl:include href="biblioentry_xml.xsl"/>
-
-<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
-
-<xsl:template match="bibliography">
-
-<article lang="en">
-<title>NEMO - Publications - Papers by authors</title>
-<articleinfo>
-<authorgroup>
-<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
-<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
-<!--++-->
-</authorgroup>
-<keywordset>
-<keyword>NEMO</keyword>
-</keywordset>
-<!-- ++ date -->
-</articleinfo>
-<highlights id="top">
-<para>
- This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./main.php'"/>
- </xsl:attribute>
- <xsl:text>Nemo Survey main page</xsl:text>
-</xsl:element>.
-</para>
-</highlights>
-<para>
-You can also see <quote>NEMO - Publications - Papers</quote> sorted by
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./bibnemomaf01.html'"/>
- </xsl:attribute>
-<xsl:text>years</xsl:text>
-</xsl:element>.
-</para>
-<para>
-Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
-</para>
-
-<sect1 id="intro">
-<title>Introduction</title>
-<para>
-This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
-</para>
-</sect1>
-
-<xsl:call-template name="table_authors">
-<xsl:with-param name="linktype" select="'internal'"/>
-</xsl:call-template>
-
-<!-- loop on author_ids -->
-<xsl:for-each select="$list_author_ids">
-<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
-<xsl:variable name="author_id2">
-<xsl:call-template name="surname_id">
- <xsl:with-param name="surname" select="personname/surname"/>
-</xsl:call-template>
-<xsl:text>_</xsl:text>
-<xsl:call-template name="firstname_id">
- <xsl:with-param name="firstname" select="personname/firstname"/>
-</xsl:call-template>
-</xsl:variable>
-<!--
-<xsl:message terminate="no">
-noeud courant <xsl:value-of select="name(.)"/>
-author <xsl:value-of select="ancestor::author"/>
-author_id2 <xsl:value-of select="$author_id2"/>
-</xsl:message>
--->
-<xsl:call-template name="one_author_id">
-<xsl:with-param name="author_id" select="$author_id2"/>
-<xsl:with-param name="author_name" select="."/>
-</xsl:call-template>
-</xsl:for-each>
-
-</article>
-</xsl:template>
-
-<xsl:template match="bibliographyinfo/date"/>
-<xsl:template match="bibliography/title"/>
-
-<xsl:template name="one_author_id">
-<xsl:param name="author_id"/>
-<xsl:param name="author_name"/>
-<!--
-<xsl:message terminate="no">
-call template avec <xsl:value-of select="$author_id"/>
-et <xsl:value-of select="$author_name"/>
-noeud courant <xsl:value-of select="name(.)"/>
-</xsl:message>
--->
-<!--
-<xsl:message terminate="no">
-author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
-2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
-</xsl:message>
--->
-<xsl:element name="sect1">
-<xsl:attribute name="id">
-<xsl:value-of select="$author_id"/>
-</xsl:attribute>
-<xsl:element name="title">
-<xsl:value-of select="$author_name"/>
-<xsl:element name="ulink">
-<xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
-<xsl:element name="inlinemediaobject">
-<xsl:element name="imageobject">
-<xsl:element name="imagedata">
-<xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
-</xsl:element>
-     </xsl:element>
-     <xsl:element name="textobject">
-      <xsl:element name="phrase">
-       <xsl:text>top</xsl:text>
-      </xsl:element>
-     </xsl:element>
-    </xsl:element>
-   </xsl:element>
-  </xsl:element>
-  <xsl:element name="orderedlist">
-   <xsl:for-each select="//biblioentry">
-    <xsl:sort order="descending" data-type="number" select="./biblioset/pubdate"/>
-    <xsl:for-each select="descendant::author">
-     <xsl:sort order="ascending" data-type="text" select="./personname/surname"/>
-     <xsl:sort order="ascending" data-type="text" select="./personname/firstname"/>
-     <xsl:variable name="author_id2">
-<xsl:call-template name="surname_id">
- <xsl:with-param name="surname" select="personname/surname"/>
-</xsl:call-template>
-      <xsl:text>_</xsl:text>
-<xsl:call-template name="firstname_id">
- <xsl:with-param name="firstname" select="personname/firstname"/>
-</xsl:call-template>
-     </xsl:variable>
-
-<!--
-     <xsl:message terminate="no">
-      ref #<xsl:value-of select="position()"/>
-      _id appel <xsl:value-of select="$author_id"/>
-      _id fabrique <xsl:value-of select="$author_id2"/>
-      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
-     </xsl:message>
--->
-     <xsl:if test="$author_id2 = $author_id">
-  <xsl:call-template name="one_biblioentry">
-   <xsl:with-param name="visu_modif" select="'visu'"/>
-   <xsl:with-param name="my_biblioentry" select="ancestor::biblioentry"/>
-  </xsl:call-template>
-     </xsl:if>
-    </xsl:for-each>
-   </xsl:for-each>
-  </xsl:element>
- </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/bibnemomaf_pdf.xsl
===================================================================
--- trunk/bibnemomaf_pdf.xsl	(revision 39)
+++ trunk/bibnemomaf_pdf.xsl	(revision 40)
@@ -12,5 +12,5 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
Index: trunk/main_html.xsl
===================================================================
--- trunk/main_html.xsl	(revision 39)
+++ trunk/main_html.xsl	(revision 40)
@@ -20,5 +20,5 @@
 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 <xsl:include href="form_html.xsl"/>
 
Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 39)
+++ trunk/makefile	(revision 40)
@@ -1,7 +1,4 @@
 # module :
 # génération de la page bibnemomaf en HTML
-#
-# original location :
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/makefile sur aedon.locean-ipsl.upmc.fr
 #
 # update :
@@ -64,5 +61,5 @@
 --xinclude \
 --param makedate "'$(MAKEDATE)'" \
---param html.stylesheet "'../../style.css ../../bibnemomaf.css'" \
+--param html.stylesheet "'../../style.css ../../$(PRODUCT).css'" \
 --param generate.article.toc '0' \
 --param generate.section.toc.level '0' \
@@ -151,5 +148,5 @@
 	-@rm -f $(DIRTMP)/bibliomany01.xml
 	-@rm -f $(DIRTMP)/bibliomany02.xml
-	-@rm -f $(DIRTMP)/titlepage.bibnemomaf.xsl
+	-@rm -f $(DIRTMP)/titlepage.$(PRODUCT).xsl
 	-@rm -f $(DIRTMP)/user_db.xml
 	-@rm -f $(DIRTMP)/user_beforetidy.html
@@ -172,5 +169,5 @@
 $(DIRWWW)/en/one/main.php \
 $(DIRWWW)/en/one/template.php \
-$(DIRWWW)/en/one/bibnemomaf00.html \
+$(DIRWWW)/en/one/$(PRODUCT)00.html \
 $(DIRWWW)/en/one/$(PRODUCT)01.html \
 $(DIRWWW)/en/one/$(PRODUCT)02.html \
@@ -183,5 +180,5 @@
 $(DIRTMP)/$(PRODUCT)02.pdf
 
-$(DIRWWW)/en/one/bibnemomaf00.html : \
+$(DIRWWW)/en/one/$(PRODUCT)00.html : \
 $(DIRSRC)/biblio.xml
 	@xsltproc \
@@ -201,8 +198,8 @@
 
 $(DIRTMP)/main_beforetidy.php : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/main_html.xsl \
-$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRTMP)/main_full.xml
 	@xsltproc \
@@ -227,5 +224,5 @@
 
 $(DIRTMP)/$(PRODUCT)01_beforetidy.html : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)01_html.xsl \
@@ -260,5 +257,5 @@
 
 $(DIRTMP)/$(PRODUCT)02_beforetidy.html : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)01_html.xsl \
@@ -271,5 +268,5 @@
 
 $(DIRWWW)/en/many/$(PRODUCT)02/ : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)many02_html.xsl \
@@ -298,5 +295,5 @@
 
 $(DIRWWW)/en/many/$(PRODUCT)01/ : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)many01_html.xsl \
@@ -328,11 +325,11 @@
 	$(DIRSRC)/biblio.xml
 
-$(DIRTMP)/titlepage.bibnemomaf.xsl : \
-$(DIRSRC)/titlepage.bibnemomaf.xml
+$(DIRTMP)/titlepage.$(PRODUCT).xsl : \
+$(DIRSRC)/titlepage.$(PRODUCT).xml
 	@xsltproc \
 	--xinclude \
 	--output $@ \
 	http://docbook.sourceforge.net/release/xsl/current/template/titlepage.xsl \
-	$(DIRSRC)/titlepage.bibnemomaf.xml
+	$(DIRSRC)/titlepage.$(PRODUCT).xml
 
 $(DIRWWW)/images/years.png : \
@@ -351,5 +348,5 @@
 
 $(DIRTMP)/$(PRODUCT)01.pdf : \
-$(DIRSRC)/bibnemomaf_pdf.xsl \
+$(DIRSRC)/$(PRODUCT)_pdf.xsl \
 $(DIRTMP)/$(PRODUCT)01.xml
 	@dblatex \
@@ -359,5 +356,5 @@
 	-d \
 	-x "--nonet" \
-	-p $(DIRSRC)/bibnemomaf_pdf.xsl \
+	-p $(DIRSRC)/$(PRODUCT)_pdf.xsl \
 	$(DIRTMP)/$(PRODUCT)01.xml \
 	1> $(DIRTMP)/$(PRODUCT)01_dblatex.log \
@@ -365,5 +362,5 @@
 
 $(DIRTMP)/$(PRODUCT)02.pdf : \
-$(DIRSRC)/bibnemomaf_pdf.xsl \
+$(DIRSRC)/$(PRODUCT)_pdf.xsl \
 $(DIRSRC)/biblio.xml
 	@dblatex \
@@ -373,5 +370,5 @@
 	-d \
 	-x "--nonet" \
-	-p $(DIRSRC)/bibnemomaf_pdf.xsl \
+	-p $(DIRSRC)/$(PRODUCT)_pdf.xsl \
 	$(DIRSRC)/biblio.xml
 	1> $(DIRTMP)/$(PRODUCT)02_dblatex.log \
@@ -410,5 +407,5 @@
 
 $(DIRTMP)/user_beforetidy.html : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/user_html.xsl \
@@ -453,5 +450,5 @@
 
 $(DIRTMP)/template_beforetidy.php : \
-$(DIRSRC)/bibnemomaf.css \
+$(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
 $(DIRSRC)/main_html.xsl \
@@ -496,37 +493,37 @@
 
 $(DIRSRC)/$(PRODUCT)01_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl
+$(DIRTMP)/titlepage.$(PRODUCT).xsl
 	@touch $@
 
 $(DIRSRC)/user_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl
 	@touch $@
 
 
-$(DIRSRC)/bibnemomafmain_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRSRC)/$(PRODUCT)main_html.xsl : \
+$(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl
 	@touch $@
 
 $(DIRSRC)/$(PRODUCT)02_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl
+$(DIRTMP)/titlepage.$(PRODUCT).xsl
 	@touch $@
 
 $(DIRSRC)/$(PRODUCT)many01_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl
+$(DIRTMP)/titlepage.$(PRODUCT).xsl
 	@touch $@
 
 $(DIRSRC)/$(PRODUCT)many02_html.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl
 	@touch $@
 
-$(DIRSRC)/bibnemomaf_pdf.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl
+$(DIRSRC)/$(PRODUCT)_pdf.xsl : \
+$(DIRTMP)/titlepage.$(PRODUCT).xsl
 	@touch $@
 
 $(DIRSRC)/$(PRODUCT)01_txt.xsl : \
-$(DIRTMP)/titlepage.bibnemomaf.xsl
+$(DIRTMP)/titlepage.$(PRODUCT).xsl
 	@touch $@
 
Index: trunk/select_id.xsl
===================================================================
--- trunk/select_id.xsl	(revision 39)
+++ trunk/select_id.xsl	(revision 40)
@@ -63,5 +63,5 @@
 </xsl:call-template>
    </xsl:variable>
-   <xsl:variable name="path">../many/bibnemomaf02/</xsl:variable>
+   <xsl:variable name="path">../many/superbib02/</xsl:variable>
    <xsl:variable name="ext">php</xsl:variable>
    <xsl:variable name="url"><xsl:value-of select="$path"/><xsl:value-of select="$author_id"/>.<xsl:value-of select="$ext"/></xsl:variable>
Index: trunk/superbib.css
===================================================================
--- trunk/superbib.css	(revision 40)
+++ trunk/superbib.css	(revision 40)
@@ -0,0 +1,27 @@
+/*
+module :
+feuille de style CSS 
+
+mise à jour :
+$Id$
+fplod 2007-03-30T10:27:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+d'après /usr/home/opatlod/WWW/NEMO_v1/6_Menu/2_page/index.html
+*/
+
+body {
+bgcolor : #ffffff;
+}
+#javascript {border-bottom: 1px solid #a1a5a9; font-family: "Luc
+ida Grande", arial, verdana, sans-serif; padding: 5px 0 5px 0; background-color:
+ #ffffcc}
+
+/*
+je n'ai pas encore tout compris aux sujets des impressions
+*/
+
+@media print {
+     input[type="submit"] { display : none }
+     div[class="informaltable"] { display : none } /* pour ne pas imprimer
+la table des années/auteurs*/
+     a[href="#top"] { display : none } /* pour ne pas imprimer le lien sur top*/
+   }
Index: trunk/superbib01_html.xsl
===================================================================
--- trunk/superbib01_html.xsl	(revision 40)
+++ trunk/superbib01_html.xsl	(revision 40)
@@ -0,0 +1,40 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<!--
+module :
+transformation docbook en un html
+
+mise à jour :
+$Id$
+fplod 2007-03-30T09:55:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+création
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
+
+<xsl:output method="xml" 
+encoding="utf-8" 
+indent="yes" 
+omit-xml-declaration="no"
+doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
+doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
+
+<xsl:include href="titlepage.superbib.xsl"/>
+
+<xsl:template match="*" mode="book.titlepage.mode"/>
+<xsl:param name="generate.toc">
+article nop
+</xsl:param>
+<xsl:param name="css.decoration" select="0"/>
+<xsl:param name="section.autolabel" select="0"/>
+
+<!--
+Personalisation de bas de page
+-->
+<xsl:template name="user.footer.content">
+  <xsl:element name="p">
+Last update : <xsl:value-of select="$makedate"/>
+  </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet> 
Index: trunk/superbib01_xml.xsl
===================================================================
--- trunk/superbib01_xml.xsl	(revision 40)
+++ trunk/superbib01_xml.xsl	(revision 40)
@@ -0,0 +1,235 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<!--
+module :
+sortir les références bibliographiques par pseudo-année
+
+update :
+$Id$
+++ plein de trucs
+fplod 2007-10-17T08:01:14Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve authors sort (diacriticals) 
+fplod 2007-06-08T08:36:48Z aedon.locean-ipsl.upmc.fr (Darwin)
+add total nb of publications in one cell. quite interesting usage of
+XPATH to determine mininum and maximum value of a element !
+fplod 2007-05-21T14:06:53Z aedon.locean-ipsl.upmc.fr (Darwin)
+ajout de plot nbpub/years
+fplod 2007-05-04T08:02:29Z aedon.locean-ipsl.upmc.fr (Darwin)
+externalisation de biblioentry
+passage de itemizedlist à sect1 pour homogénéisation sur présentation par auteur(et parce que je préfère)
+fplod 2007-04-02T08:53:30Z aedon.locean-ipsl.upmc.fr (Darwin)
+journal dans biblioset
+fplod 2007-03-30T12:38:34Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation
+-->
+
+<xsl:stylesheet
+ id="id" version="1.0"
+ xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<xsl:output
+ method="xml"
+ indent="yes"
+ encoding="ISO-8859-1"
+ omit-xml-declaration="no"
+ doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
+ doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
+
+<xsl:include href="biblioentry_xml.xsl"/>
+
+<xsl:variable name="list_years" select="///pubdate[not( self::node() = following::pubdate )]"/>
+
+<xsl:template name="years">
+<!--
+creation of an informatable of nb years
+each entry of the table is a link #year_xxxx
+-->
+<xsl:element name="informaltable">
+ <xsl:attribute name="id">years</xsl:attribute>
+ <xsl:attribute name="summary">years of publications</xsl:attribute>
+ <xsl:element name="tgroup">
+  <xsl:variable name="nb_cols" select="count($list_years)"/>
+  <xsl:attribute name="cols"><xsl:value-of select="$nb_cols"/></xsl:attribute>
+  <xsl:attribute name="align">center</xsl:attribute>
+  <xsl:attribute name="colsep">1</xsl:attribute>
+  <xsl:attribute name="rowsep">1</xsl:attribute>
+  <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
+   <xsl:sort order="descending" data-type="number" select="."/>
+   <xsl:element name="colspec">
+    <xsl:attribute name="colname">year_<xsl:value-of select="."/></xsl:attribute>
+   </xsl:element>
+  </xsl:for-each>
+  <xsl:element name="tbody">
+   <xsl:element name="row">
+    <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
+     <xsl:sort order="descending" data-type="number" select="."/>
+     <xsl:element name="entry">
+      <xsl:attribute name="colname"><xsl:text>year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
+      <xsl:element name="ulink">
+       <xsl:attribute name="url"><xsl:text>#year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
+       <xsl:value-of select="."/>
+      </xsl:element>
+     </xsl:element>
+    </xsl:for-each>
+   </xsl:element>
+   <xsl:element name="row">
+    <xsl:for-each select="///pubdate[not( self::node() = following::pubdate )]">
+     <xsl:sort order="descending" data-type="number" select="."/>
+     <xsl:element name="entry">
+      <xsl:attribute name="colname"><xsl:text>year_</xsl:text><xsl:value-of select="."/></xsl:attribute>
+      <xsl:element name="emphasis">
+       <xsl:attribute name="role">bold</xsl:attribute>
+<xsl:variable name="nb_current">
+ <xsl:variable name="current_year"><xsl:value-of select="."/></xsl:variable>
+ <xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$current_year]])"/>
+</xsl:variable>
+       <xsl:value-of select="$nb_current"/>
+      </xsl:element>
+     </xsl:element>
+    </xsl:for-each>
+   </xsl:element>
+   <xsl:variable name="year_min">
+    <xsl:value-of select="///pubdate[not(. &gt; ///pubdate)]"/>
+   </xsl:variable>
+   <xsl:variable name="year_max">
+    <xsl:value-of select="///pubdate[not(. &lt; ///pubdate)]"/>
+   </xsl:variable>
+   <xsl:element name="row">
+    <xsl:element name="entry">
+     <xsl:attribute name="namest"><xsl:value-of select="concat('year_',$year_max)"/></xsl:attribute>
+      <xsl:attribute name="nameend"><xsl:value-of select="concat('year_',$year_min)"/></xsl:attribute>
+     <xsl:element name="emphasis">
+      <xsl:attribute name="role">bold</xsl:attribute>
+       <xsl:value-of select="count(/descendant::biblioentry)"/>
+     </xsl:element>
+    </xsl:element>
+   </xsl:element>
+  </xsl:element>
+ </xsl:element>
+</xsl:element>
+</xsl:template>
+
+<xsl:template match="bibliography">
+
+<article lang="en">
+<title>NEMO - Publications - Papers by years</title>
+<articleinfo>
+<authorgroup>
+<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
+<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
+<!--++-->
+</authorgroup>
+<keywordset>
+<keyword>NEMO</keyword>
+</keywordset>
+<!-- ++ date -->
+</articleinfo>
+<highlights id="top">
+<para>
+This page intents to provide an exhaustive list of the papers that have used 
+NEMO or OPA and/or results from them. 
+Obvioulsy many papers are missing. 
+If you find omissions or mistakes please ask some modification via 
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'./main.php'"/>
+ </xsl:attribute>
+ <xsl:text>Nemo Survey main page</xsl:text>
+</xsl:element>.
+</para>
+</highlights>
+<para>
+You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
+authors in
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'./superbib02.html'"/>
+ </xsl:attribute>
+ <xsl:text>one big document </xsl:text>
+</xsl:element>
+<xsl:text> or in </xsl:text>
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'../many/superbib01/index.html'"/>
+ </xsl:attribute>
+ <xsl:text>several </xsl:text>
+</xsl:element> <xsl:text> (one by author)</xsl:text>.
+</para>
+
+<para>
+Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
+</para>
+
+<xsl:call-template name="years"/>
+
+<figure id="fig_pubbyyears"><title>Nb of publications by years</title>
+<mediaobject> 
+<imageobject> 
+<imagedata fileref="../../images/years.png" format="PNG"/>
+</imageobject>
+<textobject><phrase>[years.png]</phrase></textobject>
+</mediaobject>
+</figure>
+
+<sect1 id="intro">
+<title>Introduction</title>
+<para>
+This document provide bibliography sorted by year.
+</para>
+</sect1>
+
+   <!-- loop on years -->
+   <xsl:for-each select="$list_years">
+    <xsl:sort order="descending" data-type="number" select="."/>
+    <xsl:call-template name="one_year">
+     <xsl:with-param name="year" select="."/>
+    </xsl:call-template>
+   </xsl:for-each>
+</article>
+</xsl:template>
+
+<xsl:template match="bibliographyinfo/date"/>
+<xsl:template match="bibliography/title"/>
+
+<xsl:template name="one_year">
+<xsl:param name="year"/>
+<!--
+ <xsl:message>call template avec <xsl:value-of select="$year"/></xsl:message>
+ <xsl:message>noeud courant <xsl:value-of select="name(.)"/></xsl:message>
+ <xsl:message>
+year_<xsl:value-of select="$year"/> : <xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$year]]) + count(/descendant::biblioentry[child::date=$year])"/> 
+</xsl:message>
+-->
+ <xsl:element name="sect1">
+  <xsl:attribute name="id"><xsl:value-of select="concat('year_',$year)"/></xsl:attribute>
+  <xsl:element name="title">
+   <xsl:value-of select="$year"/>
+   <xsl:element name="ulink">
+   <xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
+   <xsl:element name="inlinemediaobject">
+     <xsl:element name="imageobject">
+      <xsl:element name="imagedata">
+       <xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
+      </xsl:element>
+     </xsl:element>
+     <xsl:element name="textobject">
+      <xsl:element name="phrase">
+       <xsl:text>top</xsl:text>
+      </xsl:element>
+     </xsl:element>
+    </xsl:element>
+   </xsl:element>
+  </xsl:element>
+  <orderedlist>
+   <xsl:for-each select="/descendant::biblioentry[child::biblioset[child::pubdate=$year]]|/descendant::biblioentry[child::date=$year]">
+    <xsl:sort order="ascending" data-type="text" select="translate(./authorgroup/author/personname,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó','ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
+    <xsl:call-template name="one_biblioentry">
+     <xsl:with-param name="visu_modif" select="'visu'"/>
+     <xsl:with-param name="my_biblioentry" select="."/>
+    </xsl:call-template>
+   </xsl:for-each>
+  </orderedlist>
+ </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet>
Index: trunk/superbib02_html.xsl
===================================================================
--- trunk/superbib02_html.xsl	(revision 40)
+++ trunk/superbib02_html.xsl	(revision 40)
@@ -0,0 +1,42 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<!--
+module :
+transformation docbook en plusieurs html
+
+mise à jour :
+$Id$
+fplod 2007-04-06T10:30:31Z aedon.locean-ipsl.upmc.fr (Darwin)
+création
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
+
+<xsl:output method="xml" 
+encoding="utf-8" 
+indent="yes" 
+omit-xml-declaration="no"
+doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
+doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
+
+<xsl:include href="titlepage.superbib.xsl"/>
+
+<xsl:template match="*" mode="book.titlepage.mode"/>
+<xsl:param name="generate.toc">
+article nop
+</xsl:param>
+<xsl:param name="section.autolabel" select="0"/>
+<xsl:param name="css.decoration" select="0"/>
+<xsl:param name="chunk.section.depth" select="1"/>
+<xsl:param name="use.id.as.filename" select="1"/>
+
+<!--
+Personalisation de bas de page
+-->
+<xsl:template name="user.footer.content">
+  <xsl:element name="p">
+Last update : <xsl:value-of select="$makedate"/>
+  </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet> 
Index: trunk/superbib02_xml.xsl
===================================================================
--- trunk/superbib02_xml.xsl	(revision 40)
+++ trunk/superbib02_xml.xsl	(revision 40)
@@ -0,0 +1,197 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<!--
+module :
+sortir les références bibliographiques par personne
+
+update :
+$Id$
+fplod 2007-10-17T07:49:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
+fplod 2007-05-18T14:31:33Z aedon.locean-ipsl.upmc.fr (Darwin)
+modif gestion id
+fplod 2007-05-16T15:15:36Z aedon.locean-ipsl.upmc.fr (Darwin)
+correction pour homonymes partiels
+fplod 2007-05-04T08:17:56Z aedon.locean-ipsl.upmc.fr (Darwin)
+externalisation de biblioentry
+fplod 2007-04-02T08:53:30Z aedon.locean-ipsl.upmc.fr (Darwin)
+journal dans biblioset
+fplod 2007-03-30T12:38:34Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation
+-->
+
+<xsl:stylesheet
+ id="id" version="1.0"
+ xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<xsl:output
+ method="xml"
+ indent="yes"
+ encoding="utf-8"
+ omit-xml-declaration="no"
+ doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
+ doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
+
+<xsl:include href="firstname_id.xsl"/>
+<xsl:include href="surname_id.xsl"/>
+<xsl:include href="table_authors.xsl"/>
+<xsl:include href="biblioentry_xml.xsl"/>
+
+<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
+
+<xsl:template match="bibliography">
+
+<article lang="en">
+<title>NEMO - Publications - Papers by authors</title>
+<articleinfo>
+<authorgroup>
+<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
+<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
+<!--++-->
+</authorgroup>
+<keywordset>
+<keyword>NEMO</keyword>
+</keywordset>
+<!-- ++ date -->
+</articleinfo>
+<highlights id="top">
+<para>
+ This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'./main.php'"/>
+ </xsl:attribute>
+ <xsl:text>Nemo Survey main page</xsl:text>
+</xsl:element>.
+</para>
+</highlights>
+<para>
+You can also see <quote>NEMO - Publications - Papers</quote> sorted by
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'./superbib01.html'"/>
+ </xsl:attribute>
+<xsl:text>years</xsl:text>
+</xsl:element>.
+</para>
+<para>
+Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
+</para>
+
+<sect1 id="intro">
+<title>Introduction</title>
+<para>
+This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
+</para>
+</sect1>
+
+<xsl:call-template name="table_authors">
+<xsl:with-param name="linktype" select="'internal'"/>
+</xsl:call-template>
+
+<!-- loop on author_ids -->
+<xsl:for-each select="$list_author_ids">
+<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
+<xsl:variable name="author_id2">
+<xsl:call-template name="surname_id">
+ <xsl:with-param name="surname" select="personname/surname"/>
+</xsl:call-template>
+<xsl:text>_</xsl:text>
+<xsl:call-template name="firstname_id">
+ <xsl:with-param name="firstname" select="personname/firstname"/>
+</xsl:call-template>
+</xsl:variable>
+<!--
+<xsl:message terminate="no">
+noeud courant <xsl:value-of select="name(.)"/>
+author <xsl:value-of select="ancestor::author"/>
+author_id2 <xsl:value-of select="$author_id2"/>
+</xsl:message>
+-->
+<xsl:call-template name="one_author_id">
+<xsl:with-param name="author_id" select="$author_id2"/>
+<xsl:with-param name="author_name" select="."/>
+</xsl:call-template>
+</xsl:for-each>
+
+</article>
+</xsl:template>
+
+<xsl:template match="bibliographyinfo/date"/>
+<xsl:template match="bibliography/title"/>
+
+<xsl:template name="one_author_id">
+<xsl:param name="author_id"/>
+<xsl:param name="author_name"/>
+<!--
+<xsl:message terminate="no">
+call template avec <xsl:value-of select="$author_id"/>
+et <xsl:value-of select="$author_name"/>
+noeud courant <xsl:value-of select="name(.)"/>
+</xsl:message>
+-->
+<!--
+<xsl:message terminate="no">
+author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
+2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
+</xsl:message>
+-->
+<xsl:element name="sect1">
+<xsl:attribute name="id">
+<xsl:value-of select="$author_id"/>
+</xsl:attribute>
+<xsl:element name="title">
+<xsl:value-of select="$author_name"/>
+<xsl:element name="ulink">
+<xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
+<xsl:element name="inlinemediaobject">
+<xsl:element name="imageobject">
+<xsl:element name="imagedata">
+<xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
+</xsl:element>
+     </xsl:element>
+     <xsl:element name="textobject">
+      <xsl:element name="phrase">
+       <xsl:text>top</xsl:text>
+      </xsl:element>
+     </xsl:element>
+    </xsl:element>
+   </xsl:element>
+  </xsl:element>
+  <xsl:element name="orderedlist">
+   <xsl:for-each select="//biblioentry">
+    <xsl:sort order="descending" data-type="number" select="./biblioset/pubdate"/>
+    <xsl:for-each select="descendant::author">
+     <xsl:sort order="ascending" data-type="text" select="./personname/surname"/>
+     <xsl:sort order="ascending" data-type="text" select="./personname/firstname"/>
+     <xsl:variable name="author_id2">
+<xsl:call-template name="surname_id">
+ <xsl:with-param name="surname" select="personname/surname"/>
+</xsl:call-template>
+      <xsl:text>_</xsl:text>
+<xsl:call-template name="firstname_id">
+ <xsl:with-param name="firstname" select="personname/firstname"/>
+</xsl:call-template>
+     </xsl:variable>
+
+<!--
+     <xsl:message terminate="no">
+      ref #<xsl:value-of select="position()"/>
+      _id appel <xsl:value-of select="$author_id"/>
+      _id fabrique <xsl:value-of select="$author_id2"/>
+      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
+     </xsl:message>
+-->
+     <xsl:if test="$author_id2 = $author_id">
+  <xsl:call-template name="one_biblioentry">
+   <xsl:with-param name="visu_modif" select="'visu'"/>
+   <xsl:with-param name="my_biblioentry" select="ancestor::biblioentry"/>
+  </xsl:call-template>
+     </xsl:if>
+    </xsl:for-each>
+   </xsl:for-each>
+  </xsl:element>
+ </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet>
Index: trunk/superbibmany01_html.xsl
===================================================================
--- trunk/superbibmany01_html.xsl	(revision 39)
+++ trunk/superbibmany01_html.xsl	(revision 40)
@@ -21,5 +21,5 @@
 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
Index: trunk/superbibmany01_xml.xsl
===================================================================
--- trunk/superbibmany01_xml.xsl	(revision 39)
+++ trunk/superbibmany01_xml.xsl	(revision 40)
@@ -66,5 +66,5 @@
 <xsl:element name="ulink">
  <xsl:attribute name="url">
-  <xsl:value-of select="'../../one/bibnemomaf01.html'"/>
+  <xsl:value-of select="'../../one/superbib01.html'"/>
  </xsl:attribute>
 <xsl:text>years</xsl:text>
Index: trunk/superbibmany02_html.xsl
===================================================================
--- trunk/superbibmany02_html.xsl	(revision 39)
+++ trunk/superbibmany02_html.xsl	(revision 40)
@@ -13,5 +13,5 @@
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 <xsl:include href="form_html.xsl"/>
 
Index: trunk/titlepage.bibnemomaf.xml
===================================================================
--- trunk/titlepage.bibnemomaf.xml	(revision 39)
+++ 	(revision )
@@ -1,670 +1,0 @@
-<!--
-original location :
-/usr/home/fplod/incas//nemo/src/bibnemomaf/titlepage.nemo2007form.xml sur aedon.locean-ipsl.upmc.fr
-
-update :
-fplod 2007-03-29T09:27:23Z aedon.locean-ipsl.upmc.fr (Darwin)
--->
-<t:templates xmlns:t="http://nwalsh.com/docbook/xsl/template/1.0"
-	     xmlns:param="http://nwalsh.com/docbook/xsl/template/1.0/param"
-             xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="article" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-<!--
-    <authorgroup/>
-    <author/>
--->
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <hr/>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="set" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <hr/>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="book" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <affiliation/>
-    <address/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <hr/>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="part" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="partintro" t:wrapper="div">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="reference" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <hr/>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="refentry" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-<!-- uncomment this if you want refentry titlepages
-    <title t:force="1"
-	   t:named-template="refentry.title"
-	   param:node="ancestor-or-self::refentry[1]"/>
--->
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator/>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-  <t:titlepage t:element="dedication" t:wrapper="div" class="titlepage">
-    <t:titlepage-content t:side="recto">
-    <title
-	   t:force="1"
-	   t:named-template="component.title"
-	   param:node="ancestor-or-self::dedication[1]"/>
-    <subtitle/>
-    </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="preface" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="chapter" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="appendix" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="section" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="sect1" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="sect2" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="sect3" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="sect4" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="sect5" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<t:titlepage t:element="simplesect" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title/>
-    <subtitle/>
-    <corpauthor/>
-    <authorgroup/>
-    <author/>
-    <othercredit/>
-    <releaseinfo/>
-    <copyright/>
-    <legalnotice/>
-    <pubdate/>
-    <revision/>
-    <revhistory/>
-    <abstract/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="bibliography" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title
-	   t:force="1"
-	   t:named-template="component.title"
-	   param:node="ancestor-or-self::bibliography[1]"/>
-    <subtitle/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="glossary" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title
-	   t:force="1"
-	   t:named-template="component.title"
-	   param:node="ancestor-or-self::glossary[1]"/>
-    <subtitle/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="index" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title
-	   t:force="1"
-	   t:named-template="component.title"
-	   param:node="ancestor-or-self::index[1]"/>
-    <subtitle/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-<t:titlepage t:element="setindex" t:wrapper="div" class="titlepage">
-  <t:titlepage-content t:side="recto">
-    <title
-	   t:force="1"
-	   t:named-template="component.title"
-	   param:node="ancestor-or-self::setindex[1]"/>
-    <subtitle/>
-  </t:titlepage-content>
-
-  <t:titlepage-content t:side="verso">
-  </t:titlepage-content>
-
-  <t:titlepage-separator>
-  </t:titlepage-separator>
-
-  <t:titlepage-before t:side="recto">
-  </t:titlepage-before>
-
-  <t:titlepage-before t:side="verso">
-  </t:titlepage-before>
-</t:titlepage>
-
-<!-- ==================================================================== -->
-
-</t:templates>
Index: trunk/titlepage.superbib.xml
===================================================================
--- trunk/titlepage.superbib.xml	(revision 40)
+++ trunk/titlepage.superbib.xml	(revision 40)
@@ -0,0 +1,670 @@
+<!--
+original location :
+/usr/home/fplod/incas//nemo/src/bibnemomaf/titlepage.nemo2007form.xml sur aedon.locean-ipsl.upmc.fr
+
+update :
+fplod 2007-03-29T09:27:23Z aedon.locean-ipsl.upmc.fr (Darwin)
+-->
+<t:templates xmlns:t="http://nwalsh.com/docbook/xsl/template/1.0"
+	     xmlns:param="http://nwalsh.com/docbook/xsl/template/1.0/param"
+             xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="article" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+<!--
+    <authorgroup/>
+    <author/>
+-->
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <hr/>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="set" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <hr/>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="book" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <affiliation/>
+    <address/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <hr/>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="part" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="partintro" t:wrapper="div">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="reference" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <hr/>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="refentry" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+<!-- uncomment this if you want refentry titlepages
+    <title t:force="1"
+	   t:named-template="refentry.title"
+	   param:node="ancestor-or-self::refentry[1]"/>
+-->
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator/>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+  <t:titlepage t:element="dedication" t:wrapper="div" class="titlepage">
+    <t:titlepage-content t:side="recto">
+    <title
+	   t:force="1"
+	   t:named-template="component.title"
+	   param:node="ancestor-or-self::dedication[1]"/>
+    <subtitle/>
+    </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="preface" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="chapter" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="appendix" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="section" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="sect1" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="sect2" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="sect3" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="sect4" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="sect5" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<t:titlepage t:element="simplesect" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title/>
+    <subtitle/>
+    <corpauthor/>
+    <authorgroup/>
+    <author/>
+    <othercredit/>
+    <releaseinfo/>
+    <copyright/>
+    <legalnotice/>
+    <pubdate/>
+    <revision/>
+    <revhistory/>
+    <abstract/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+    <xsl:if test="count(parent::*)='0'"><hr/></xsl:if>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="bibliography" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title
+	   t:force="1"
+	   t:named-template="component.title"
+	   param:node="ancestor-or-self::bibliography[1]"/>
+    <subtitle/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="glossary" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title
+	   t:force="1"
+	   t:named-template="component.title"
+	   param:node="ancestor-or-self::glossary[1]"/>
+    <subtitle/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="index" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title
+	   t:force="1"
+	   t:named-template="component.title"
+	   param:node="ancestor-or-self::index[1]"/>
+    <subtitle/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+<t:titlepage t:element="setindex" t:wrapper="div" class="titlepage">
+  <t:titlepage-content t:side="recto">
+    <title
+	   t:force="1"
+	   t:named-template="component.title"
+	   param:node="ancestor-or-self::setindex[1]"/>
+    <subtitle/>
+  </t:titlepage-content>
+
+  <t:titlepage-content t:side="verso">
+  </t:titlepage-content>
+
+  <t:titlepage-separator>
+  </t:titlepage-separator>
+
+  <t:titlepage-before t:side="recto">
+  </t:titlepage-before>
+
+  <t:titlepage-before t:side="verso">
+  </t:titlepage-before>
+</t:titlepage>
+
+<!-- ==================================================================== -->
+
+</t:templates>
Index: trunk/user_db.xsl
===================================================================
--- trunk/user_db.xsl	(revision 39)
+++ trunk/user_db.xsl	(revision 40)
@@ -66,5 +66,5 @@
 <xsl:element name="ulink">
  <xsl:attribute name="url">
-  <xsl:value-of select="'./bibnemomaf02.html'"/>
+  <xsl:value-of select="'./superbib02.html'"/>
  </xsl:attribute>
  <xsl:text>one big document </xsl:text>
@@ -73,5 +73,5 @@
 <xsl:element name="ulink">
  <xsl:attribute name="url">
-  <xsl:value-of select="'../many/bibnemomaf01/index.html'"/>
+  <xsl:value-of select="'../many/superbib01/index.html'"/>
  </xsl:attribute>
  <xsl:text>several </xsl:text>
Index: trunk/user_html.xsl
===================================================================
--- trunk/user_html.xsl	(revision 39)
+++ trunk/user_html.xsl	(revision 40)
@@ -20,5 +20,5 @@
 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
 
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="titlepage.superbib.xsl"/>
 <xsl:include href="form_html.xsl"/>
 
